Skip to main content
`Ctrl`+`K`

# PetscSectionHasConstraints

Determine whether a `PetscSection` has constrained dofs

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionHasConstraints(PetscSection s, PetscBool *hasConstraints)

Not Collective

## Input Parameter

- s - The `PetscSection`

## Output Parameter

- hasConstraints - flag indicating that the section has constrained dofs

## See Also

PetscSection, `PetscSectionSetConstraintIndices()`, `PetscSectionGetConstraintDof()`, `PetscSection`

## Level

intermediate

## Location

src/vec/is/section/interface/section.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages